<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.czg</groupId>
        <artifactId>cash-common</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>cash-common-api-config</artifactId>
    <packaging>jar</packaging>

    <name>api-config Maven Plugin</name>

    <url>https://maven.apache.org</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.tomcat.embed</groupId>
                    <artifactId>tomcat-embed-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.apache.tomcat.embed</groupId>
            <artifactId>tomcat-embed-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

        <dependency>
            <groupId>com.czg</groupId>
            <artifactId>cash-common-tools</artifactId>
        </dependency>

        <dependency>
            <groupId>com.czg</groupId>
            <artifactId>cash-common-redis</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.czg</groupId>
            <artifactId>cash-common-sa-token</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.mybatis-flex</groupId>
            <artifactId>mybatis-flex-spring-boot-starter</artifactId>
            <version>1.10.6</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.dubbo</groupId>
            <artifactId>dubbo</artifactId>
            <version>3.3.3</version>
            <scope>compile</scope>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>org.apache.dubbo</groupId>-->
<!--            <artifactId>dubbo-common</artifactId>-->
<!--            <version>3.3.3</version>-->
<!--            <scope>compile</scope>-->
<!--        </dependency>-->
        <!-- https://mvnrepository.com/artifact/org.apache.dubbo/dubbo-serialization-hessian2 -->
        <dependency>
            <groupId>org.apache.dubbo</groupId>
            <artifactId>dubbo-serialization-hessian2</artifactId>
            <version>3.3.3</version>
            <scope>test</scope>
        </dependency>

    </dependencies>


</project>
